*------------------   Begin FS2Read   ----------------------------------
      subroutine FS2Read(f_in, 
     :                   fas, char_head, int_head, real_head, comments)

* Read Fourier spectrum from a file in FS2 format

* The output arrays char_head, int_head, real_head should be dimensioned
* as follows in the calling program:

*      character char_head(11)*80, comments(500)*80
*      integer int_head(48)
*      real real_head(50)

*  Dates: 06/15/01 - Written by D. Boore, based on SMCRead
!         12/29/10 - Allow for higher precision smc file.

      real real_head(*)
      integer int_head(*)
      character*80 char_head(*), comments(*)
      character f_in*(*)
      real fas(*)

      
      call get_lun(nunit)
      open(unit= nunit, file=f_in, status='unknown')

      do i = 1, 11
        read(nunit, '(a)') char_head(i)
      end do

      read(nunit, '(8I10)') (int_head(i), i=1, 48)

      read(nunit, '(5e15.7)') (real_head(i), i = 1, 50)

      do i = 1, int_head(16)
        read(nunit,'(a)') comments(i)
      end do

      if (int_head(47) == 8) then      
        read(nunit, '(5(1pe14.7e1))') (fas(i), i = 1, int_head(45))
      else
        read(nunit, '(8(1pe10.4e1))') (fas(i), i = 1, int_head(45))
      end if

      close(unit=nunit)

      return
      end
*------------------   End FS2Read   ----------------------------------

