*------------------   Begin rs2rdhdr   ----------------------------------
      subroutine rs2rdhdr(f_rs2, 
     :        damp, ndamp, per, nper,  
     :        char_head, int_head, real_head, comments, itflag)

* Read headers of response spectra stored in rs2 format

* The output arrays char_head, int_head, real_head should be dimensioned
* as follows in the calling program:

*      character char_head(11)*80, comments(500)*80
*      integer int_head(48)
*      real real_head(50)
*      real damp(5), per(xx), xx = 91 usually, but for safety let xx = 300

*  Dates: 12/09/02 - Written by D. Boore, based on RS2Read

      real real_head(*)
      integer int_head(*)
      character*80 char_head(*), comments(*)
      character f_rs2*(*)
      real damp(*), per(*)
      
      call get_lun(nu_rs2)
*      call trim_c(f_rs2,nc_f_rs2)
      open(unit= nu_rs2, file=f_rs2, status='unknown')

      do i = 1, 11
        read(nu_rs2, '(a)') char_head(i)
      end do

      read(nu_rs2, '(8I10)') (int_head(i), i=1, 48)

      read(nu_rs2, '(5e15.7)') (real_head(i), i = 1, 50)

      do i = 1, int_head(16)
        read(nu_rs2,'(a)') comments(i)
      end do

      read(nu_rs2, *)   ! skip line with unit information

      read(nu_rs2, *) ndamp, nper, itflag

      read(nu_rs2, *) (damp(i), i = 1, ndamp)
      read(nu_rs2, *) (per(i), i = 1, nper)

      close(unit=nu_rs2)

      return
      end
*------------------   End rs2rdhdr   ----------------------------------

