* -------------------------- BEGIN SMOOTH_KONNO --------------------------
      subroutine Smooth_Konno (y, npts, smooth_param)


! **** WARNING:  This is a non-maintained version; see SMOOTH_INTERPOLATE
! **** for the most recent code.

* SMOOTHING OVER LOGARITHMICALLY SPACED FREQUENCIES
* Konno and Ohmachi weighting function (see BSSA 88, 228-241)
*   smooth_param = xi, which is the fraction of a decade spanned by the
*                  first zero crossings for the
*                  Konno and Ohmachi weighting function 


* Dates:  06/18/07 - Written by D. Boore, patterned after smooth_n.for

      real y(*)
      real work(:)
      allocatable :: work
      
      pi = 4.0*atan(1.0)

      allocate(work(npts))
      
      print *,' npts = ', npts
      
      do i = 1, npts
        work(i) = y(i)
      end do
      
      
      b = 2.0*pi/smooth_param
      
      print *,' smooth_param, b = ', smooth_param, b
      
      do ic = 1, npts
      
        iz1 = nint(float(ic)*10.0**(-0.5*smooth_param))
        iz2 = nint(float(ic)*10.0**(0.5*smooth_param))
        
        if (iz1 .lt. 1) then
          iz1 = 1
        end if
        if (iz2 .gt. npts) then
          iz2 = npts
        end if
        
        sum = 0.0
        wavg = 0.0
        
        do j = iz1, iz2
          weight = w_konno_ohmachi(j, ic, b)
          wavg = wavg + weight
          sum = sum + weight * work(j)
        end do
        
        y(ic) = sum/wavg
        
      end do  
       
      deallocate(work)

      return
      end
* -------------------------- END Smooth_Konno --------------------------

      function w_konno_ohmachi(j,ic,b)
      
      if (j .eq. ic) then
        w_konno_ohmachi = 1.0
      else
        w_konno_ohmachi = (sin(alog10((float(j)/float(ic))**b))/
     :                       alog10((float(j)/float(ic))**b))**4.0    
      end if
      
      return
      
      end
